import { Meteor } from 'meteor/meteor';
import React, {lazy, Suspense, useState} from 'react';
import { useTracker } from 'meteor/react-meteor-data';
import _ from 'lodash';
import TabNav from '../util/TabNav';

export default () => {
	let tabs = [
		{
			title: "Asset List",
			getElement: () => {
				const AssetList = lazy(()=>import('./Assets/AssetList'))
				return <AssetList/>
			},
			path: '/assetList',
			href: 'assetList'
		},
		{
			title: "Add Assets",
			getElement: () => {
				const AddAssets = lazy(()=>import('./Assets/AddAssets'))
				return <AddAssets/>
			},
			path: '/addAssets',
			href: 'addAssets'
		},
	]
	
	return <TabNav tabs={tabs}/>
}